Page MenuHomePhabricator

Package and test MariaDB 11
Open, MediumPublic

Description

MariaDB 11 has been released: https://mariadb.com/kb/en/mariadb-11-0-0-release-notes/
Monty's post: http://monty-says.blogspot.com/2022/12/i-want-to-wish-you-happy-new-year-with.html

There are major changes in the optimizer which should get to test as soon as we can.

Event Timeline

Marostegui triaged this task as Medium priority.Jan 3 2023, 7:18 AM
Marostegui moved this task from Triage to Ready on the DBA board.

Change 874784 had a related patch set uploaded (by Marostegui; author: Marostegui):

[operations/software@master] control-mariadb-11.0-bullseye: Control for new MariaDB 11

https://gerrit.wikimedia.org/r/874784

Change 874784 merged by jenkins-bot:

[operations/software@master] control-mariadb-11.0-bullseye: Control for new MariaDB 11

https://gerrit.wikimedia.org/r/874784

Change 874807 had a related patch set uploaded (by Marostegui; author: Marostegui):

[operations/puppet@production] core_test.pp: Add wmf-mariadb110

https://gerrit.wikimedia.org/r/874807

Change 874807 merged by Marostegui:

[operations/puppet@production] core_test.pp: Add wmf-mariadb110

https://gerrit.wikimedia.org/r/874807

This query is also slow on MariaDB 11:

root@db1176.eqiad.wmnet[enwiki]>  SELECT  /*! STRAIGHT_JOIN */ actor_name,actor_user,rc_actor,rc_id,rc_timestamp,rc_namespace,rc_title,rc_cur_id,rc_type,rc_deleted,rc_this_oldid,rc_last_oldid,rc_minor,rc_type,rc_bot,rc_logid,rc_log_type,rc_log_action,rc_params,(SELECT  GROUP_CONCAT(ctd_name SEPARATOR ',')  FROM `change_tag` JOIN `change_tag_def` ON ((ct_tag_id=ctd_id))   WHERE ct_rc_id=rc_id  ) AS `ts_tags`,page_is_redirect,comment_rc_comment.comment_text AS `rc_comment_text`,comment_rc_comment.comment_data AS `rc_comment_data`,comment_rc_comment.comment_id AS `rc_comment_cid`  FROM `recentchanges` JOIN `actor` ON ((actor_id=rc_actor)) LEFT JOIN `page` ON ((rc_namespace=page_namespace) AND (rc_title=page_title)) JOIN `comment` `comment_rc_comment` ON ((comment_rc_comment.comment_id = rc_comment_id)) JOIN `ores_classification` ON ((oresc_rev=rc_this_oldid) AND oresc_model = 59 AND oresc_class = 1)   WHERE rc_type IN (0,1)  AND rc_namespace IN (0,3)  AND (rc_bot = 0) AND (rc_this_oldid = page_latest) AND (oresc_probability > NULL)  ORDER BY rc_timestamp DESC,rc_id DESC LIMIT 51;

Empty set (2 min 17.589 sec)

mysql:root@localhost [(none)]> show explain for 1415601;
+------+--------------------+---------------------+--------+--------------------------------------------------------------------------------------------------+-----------------------+---------+-----------------------------------------------------------------+----------+-------------+
| id   | select_type        | table               | type   | possible_keys                                                                                    | key                   | key_len | ref                                                             | rows     | Extra       |
+------+--------------------+---------------------+--------+--------------------------------------------------------------------------------------------------+-----------------------+---------+-----------------------------------------------------------------+----------+-------------+
|    1 | PRIMARY            | recentchanges       | index  | rc_name_type_patrolled_timestamp,rc_ns_actor,rc_actor,rc_namespace_title_timestamp,rc_this_oldid | rc_timestamp          | 14      | NULL                                                            | 10510143 | Using where |
|    1 | PRIMARY            | actor               | eq_ref | PRIMARY                                                                                          | PRIMARY               | 8       | enwiki.recentchanges.rc_actor                                   |        1 |             |
|    1 | PRIMARY            | page                | eq_ref | page_name_title                                                                                  | page_name_title       | 261     | enwiki.recentchanges.rc_namespace,enwiki.recentchanges.rc_title |        1 | Using where |
|    1 | PRIMARY            | comment_rc_comment  | eq_ref | PRIMARY                                                                                          | PRIMARY               | 8       | enwiki.recentchanges.rc_comment_id                              |        1 |             |
|    1 | PRIMARY            | ores_classification | eq_ref | oresc_rev_model_class                                                                            | oresc_rev_model_class | 7       | enwiki.recentchanges.rc_this_oldid,const,const                  |        1 | Using where |
|    2 | DEPENDENT SUBQUERY | change_tag          | ref    | ct_rc_tag_id,ct_tag_id_id                                                                        | ct_rc_tag_id          | 5       | enwiki.recentchanges.rc_id                                      |        1 | Using index |
|    2 | DEPENDENT SUBQUERY | change_tag_def      | eq_ref | PRIMARY                                                                                          | PRIMARY               | 4       | enwiki.change_tag.ct_tag_id                                     |        1 |             |
+------+--------------------+---------------------+--------+--------------------------------------------------------------------------------------------------+-----------------------+---------+-----------------------------------------------------------------+----------+-------------+
7 rows in set, 1 warning (0.001 sec)

Change 879630 had a related patch set uploaded (by Marostegui; author: Marostegui):

[operations/puppet@production] instances.yaml: Add db1176 to dbctl

https://gerrit.wikimedia.org/r/879630

Change 879630 merged by Marostegui:

[operations/puppet@production] instances.yaml: Add db1176 to dbctl

https://gerrit.wikimedia.org/r/879630

Mentioned in SAL (#wikimedia-operations) [2023-01-12T19:55:14Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Add db1176 (mariadb 11) to dbctl, depooled T326116', diff saved to https://phabricator.wikimedia.org/P43146 and previous config saved to /var/cache/conftool/dbconfig/20230112-195514-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2023-01-12T19:56:51Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Add db1176 to LB with just 1% weight T326116', diff saved to https://phabricator.wikimedia.org/P43147 and previous config saved to /var/cache/conftool/dbconfig/20230112-195651-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2023-01-12T19:59:23Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Depool db1176 T326116', diff saved to https://phabricator.wikimedia.org/P43148 and previous config saved to /var/cache/conftool/dbconfig/20230112-195922-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2023-01-18T10:51:06Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Add db1176 to LB with just 1% weight T326116', diff saved to https://phabricator.wikimedia.org/P43184 and previous config saved to /var/cache/conftool/dbconfig/20230118-105106-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2023-01-18T11:07:19Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Depool db1176 T326116', diff saved to https://phabricator.wikimedia.org/P43185 and previous config saved to /var/cache/conftool/dbconfig/20230118-110716-marostegui.json

Change 881629 had a related patch set uploaded (by Marostegui; author: Marostegui):

[operations/software@master] control-mariadb-client-11.0-bullseye: MariaDB 11 client file

https://gerrit.wikimedia.org/r/881629

Added the control file for the client, although it is not going to be used for now.

Change 881629 merged by jenkins-bot:

[operations/software@master] control-mariadb-client-11.0-bullseye: MariaDB 11 client file

https://gerrit.wikimedia.org/r/881629

I need db1176 for misc switchovers, so I am going to install MariaDB 11 on db1106 (which will be decommissioned) and keep the tests there, as we are not in a hurry to decom that one for now.

Change 883129 had a related patch set uploaded (by Marostegui; author: Marostegui):

[operations/puppet@production] instances.yaml: Re-add db1106, remove db1176

https://gerrit.wikimedia.org/r/883129

Change 883129 merged by Marostegui:

[operations/puppet@production] instances.yaml: Re-add db1106, remove db1176

https://gerrit.wikimedia.org/r/883129

Mentioned in SAL (#wikimedia-operations) [2023-01-24T10:42:20Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Remove db1176 from s1 T326116', diff saved to https://phabricator.wikimedia.org/P43303 and previous config saved to /var/cache/conftool/dbconfig/20230124-104219-root.json

Mentioned in SAL (#wikimedia-operations) [2023-01-24T10:43:36Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Add db1106 to dbctl in s1 T326116', diff saved to https://phabricator.wikimedia.org/P43305 and previous config saved to /var/cache/conftool/dbconfig/20230124-104336-marostegui.json

Change 883133 had a related patch set uploaded (by Marostegui; author: Marostegui):

[operations/puppet@production] mariadb: Install MariaDB 11 on db1106

https://gerrit.wikimedia.org/r/883133

Change 883133 merged by Marostegui:

[operations/puppet@production] mariadb: Install MariaDB 11 on db1106

https://gerrit.wikimedia.org/r/883133

db1106 is now running MariaDB 11